package de.ivu.elect.business.personenregister.entity;

import de.ivu.elect.business.person.boundary.SearchParametersMitPersonendatenNamen;
import de.ivu.elect.jee.presentation.dynamicform.AbstractStringProperty;

public class FamiliennameProperty extends AbstractStringProperty {

  private final SearchParametersMitPersonendatenNamen searchParametersMitPersonendatenNamen;

  public FamiliennameProperty(SearchParametersMitPersonendatenNamen searchParametersMitPersonendatenNamen) {
    this.searchParametersMitPersonendatenNamen = searchParametersMitPersonendatenNamen;
  }

  @Override
  public boolean getDefaultRequired() {
    return false;
  }

  @Override
  public int getDefaultMaxLength() {
    return PersonenregisterPersonendatenConstants.FAMILIENNAME_MAX_LENGTH;
  }

  @Override
  public String getValue() {
    return searchParametersMitPersonendatenNamen.getFamilienname();
  }

  @Override
  public void setValue(String value) {
    searchParametersMitPersonendatenNamen.setFamilienname(value);
  }

  @Override
  public String getDefaultLabel() {
    return getMessage(PersonenregisterPersonendatenConstants.MESSAGE_KEY_FAMILIENNAME_EINZAHL);
  }

}
